align		macro n
			org ($ + n - 1) / n * n
			endm

; clear screen, set red on white
			ld hl,0x4000
			ld de,0x4001
			ld (hl),l
			ld bc,0x1800
			ldir
			ld bc,0x02ff
			ld (hl),0x3a
			ldir
			ld a,7
			out (254),a

			ld b,72
drawlogo_lp
			halt
			halt
			push bc
			call drawlogo
			pop bc
			djnz drawlogo_lp
			ld b,50
zzzb1		halt
			djnz zzzb1
			ld b,5
fadelogo
			halt
			halt
			halt
			halt
			push bc
			ld hl,0x5920
			ld b,128
fadelogo_lp
			inc (hl)
			inc l
			djnz fadelogo_lp
			pop bc
			djnz fadelogo
			ret
			
drawlogo	ld a,0
			inc a
			ld (drawlogo+1),a
			ld l,a
			ld h,ytable/0x100
			ld a,(hl)
			add a,9
			ld e,a
			inc h
			ld d,(hl)

			ld hl,logo
			ld b,35
drawlogo_line
			push bc
			push de
			rept 14
				ldi
			endm
			pop de
			call upde
			pop bc
			djnz drawlogo_line
			ret

upde
			inc d
			ld a,d
			and 7
			ret nz
			ld a,e
			add a,32
			ld e,a
			ret c
			ld a,d
			sub 8
			ld d,a
			ret
		
			align 0x0100
ytable
			; low bytes
			rept 3
			db 0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00
			db 0x20,0x20,0x20,0x20,0x20,0x20,0x20,0x20
			db 0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x40
			db 0x60,0x60,0x60,0x60,0x60,0x60,0x60,0x60
			db 0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80
			db 0xa0,0xa0,0xa0,0xa0,0xa0,0xa0,0xa0,0xa0
			db 0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,0xc0,0xc0
			db 0xe0,0xe0,0xe0,0xe0,0xe0,0xe0,0xe0,0xe0
			endm
			align 0x0100
			; high bytes
			rept 8
			db 0x40,0x41,0x42,0x43,0x44,0x45,0x46,0x47
			endm
			rept 8
			db 0x48,0x49,0x4a,0x4b,0x4c,0x4d,0x4e,0x4f
			endm
			rept 8
			db 0x50,0x51,0x52,0x53,0x54,0x55,0x56,0x57
			endm

logo
			include "logo.asm"