height = 11.3
p = 0.01
k = 0.2# 0.33

urows = []
vrows = []

(height-7.5).step(height-0.5,1) do |y|
	urow = []
	vrow = []
	-15.5.step(15.5,1) do |x|
		
		u = p*x*height/y
		q = y/height
		v = k*(1-q)/(q*(1-k))
#		urow << ((u*256 + 256) % 256).to_i
#		vrow << ((v*256 + 256) % 256).to_i
		urow << (u*256 + 128).to_i
		vrow << (v*256).to_i
	end
	urows << urow
	vrows << vrow
end

# ceiling
urows.reverse.each do |row|
	puts "\tdb #{row.join(',')}"
end
puts "\n"
vrows.reverse.each do |row|
	puts "\tdb #{row.join(',')}"
end

# floor
urows.each do |row|
	puts "\tdb #{row.join(',')}"
end
puts "\n"
vrows.each do |row|
	puts "\tdb #{row.join(',')}"
end
